package org.objectweb.jonas.jtests.beans.cluster;

import java.lang.String;
import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

public interface IdentityHome extends EJBHome {
    Identity create(String n, int i) throws CreateException, RemoteException;
    Identity findByPrimaryKey(String pk) throws FinderException, RemoteException;
    Collection findByNumber(int number) throws FinderException, RemoteException;
    Collection findAll() throws FinderException, RemoteException;
}
